Subject: Re: 1.1.7: stackdump in patch.exe
From: Bob Wilson <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 07 Feb 2001 17:01:03 -0800

I've been fighting this same problem and can provide a bit more
information.  Incidentally, I found a report of this problem in the
mailing list archive from October, and the only suggestion was to check
that $TEMP wasn't a directory with spaces in its name.  I don't think
that's the problem.  It appears to be another line-ending issue.

If the patch file contains only linefeeds, the problem goes away.  It
also seems to occur only when the patchfile contains patches for
multiple files (perhaps patch is doing an lseek in between files??).  If
I put the patchfile containing CR/LFs in a directory mounted in binary
mode, then patch gets even more confused and prints the following
message:

Hmm...(Fascinating -- this is really a new-style context diff but
without
the telltale extra asterisks on the *** line that usually indicate
the new style...)

...and then it still crashes.

I also tried the "--binary" option but it seems to have no effect.

Linneweh Tilman wrote:
> Hi ML!
> 
> I am using:
> 
> $ uname -a
> CYGWIN_NT-4.0 TOLIMAN 1.1.7(0.31/3/2) 2000-12-25 12:39 i686 unknown
> 
> I am trying to apply this patch:
> 
> http://slrn.sourceforge.net/patches/slrn-0.9.6.4-pl2.diff.gz
> 
> to this Sourcetree:
> 
> ftp://space.mit.edu/pub/davis/slrn/ssl/slrn-0.9.6.4.tar.gz
> 
> While processing the patches of the pl I get the following Error:
> 
> > Patching file `/home/slrn-0.9.6.4pl2/doc/slrn.rc' using Plan A...
> > assertion "hunk" failed: file "/src/patch/patch.c", line 334
> >       0 [sig] patch 246 stackdump: Dumping stack trace to patch.exe.stackdump
> > Aborted (core dumped)
> 
> If I divide the .diff File (211k) into pieces (around 25k) I can get around the problem, so i guess its a memory leak or something like this.
> 
> I am not reading the ML, so please send a CC per email.
> I have the stackdump, but there is no gdb on my system, sorry. But the error occured also on my ME-Notebook, so it should appear on your system too :-S.
> 

-- 
Bob Wilson                      Tel: (408) 327-7312
Tensilica, Inc.                 Fax: (408) 986-8919
3255-6 Scott Blvd.              email: [email-masked]
Santa Clara, CA 95054

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple